For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate a new task
      • DELDelete task
      • GETList of tasks
      • POSTReview a single task
      • POSTReview multiple tasks
      • PATCHUpdate Task By ID
LogoLogo
SupportDeel Home
EndpointsTasks

Delete task

DELETE
/contracts/:contract_id/tasks/:task_id
DELETE
/rest/v2/contracts/:contract_id/tasks/:task_id
$curl -X DELETE "https://api.letsdeel.com/rest/v2/contracts/37nex2x/tasks/123e4567-e89b-12d3-a456-426614174000?reason=Task%20is%20no%20longer%20required%20due%20to%20scope%20changes." \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {}
>}'
1{
2 "data": {
3 "deleted": true
4 }
5}

Deletes a specific task from a contract. An optional reason can be supplied for audit or documentation purposes. Token scopes: contracts:write

Was this page helpful?
Previous

List of tasks

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the Deel contract.
task_idstringRequired
The unique identifier of the task to be deleted.

Query parameters

reasonstringOptional
The reason for deleting the task. This can be used for auditing purposes.

Response

The task was successfully deleted.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication